<%@ Page Language="C#" AutoEventWireup="true" ResponseEncoding="gb2312" Codebehind="Default.aspx.cs"
    Inherits="Vonle.Web.Template_SearchList" EnableEventValidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="content-type" content="text/html; charset=gb2312">
    <link rel="shortcut icon" type="image/ico" href="/favicon.ico" />
    <title>搜索+列表模式界面</title>
    <link rel="shortcut icon" type="image/ico" href="/favicon.ico" />
   <link rel="stylesheet" type="text/css" href="/css/style/default/module/listReport/ul_li/listReport_gray.css"
        media="all" />
    <link rel="stylesheet" type="text/css" href="/css/style/default/template/search_list/top_bottom/gray.css"
        media="all" />
    <link rel="stylesheet" type="text/css" href="/css/style/default/module/search/ul_li/search_gray.css"
        media="all" />

     <script type="text/javascript" src="/js/jquery.js"></script>
     <script type="text/javascript" language="JavaScript">   
$(document).ready(function(){ 

fhv();
  });  
    </script>
   <script type="text/javascript" src="/js/common/Common.js"></script>
<!--/js/common/VLcommon.js-->

    <!--/js/module/Report/reportSheet.js-->

    <script type="text/javascript" src="/Eplat/js/common.js"></script>

    <link type="text/css" rel="stylesheet" href="/Css/Form.css" />


    <script type="text/javascript" src="/js/Module/Form/FormRun.js"></script>
<!--/js/module/form/formMain.js-->

    <!--/js/module/form/formcal.js-->

    <!--/js/module/form/formSheet.js-->

    

</head>
<body style ="background-color :#ffffff;">
   
        <div class="list-container">
            <!--顶部-->
            <div class="list-top-title">
                <div class="main top-title">
                    <div id="title-container">
                        <h5 style="left: 0px; top: 0px">
                            <%=EntName%>
                            <span class="more" id="span_searchReport">&gt;&gt;</span></h5>
                    </div>
                </div>
            </div>
            <!--搜索-->
            <div class="list-top-title">
                <%=strSearchFormHtml.ToString()%>
            </div>
            <!--普通列表-->
            <%=strListHtml.ToString()%>
        </div>
        <div class="ManagerForm">
            <br />
            <br />
        </div>
    

<script type="text/javascript" language="JavaScript">  
 //表格的隔行变色
  $("tr").filter("[dt=1]").each(function(index){  
        if(index % 2 == 1)
        $(this).addClass("stripe");
        //this.style.backgroundColor = (index % 2 != 1 ? "#ffffff" :"#FAFAFA"); 
         });
    var $Entmsg=$("#ListR_<%=EntId %>_PageMsg");
    if($Entmsg!=undefined&&$Entmsg!=null)
    {
       var  RecCount= $Entmsg.attr("RecCount");
        $("#span_searchReport").html("共有 <span style='color:#fa900a;font-weight:bold;' >"+RecCount+" </span>条搜索结果&gt;&gt;");
       var PageCount=parseInt( $Entmsg.attr("PageCount"));
       var CurrentPage=parseInt( $Entmsg.attr("CurrentPage"));
       var maxPageIndex=CurrentPage+9;
       var minPageIndex=CurrentPage-10;
       if(minPageIndex<1)
          minPageIndex=1;
       if(maxPageIndex>PageCount)
          maxPageIndex=PageCount;
       var strPageHtml = new nzy();   
       if (CurrentPage < 2)
             strPageHtml.append(" <span class='page-prev'><span>上一页</span></span>");
       else
             strPageHtml.append("<a class='c_tx' title='上一页' onclick='javascript:page(-1);'   href='javascript:void(0);'><span>上一页</span></a>");
       for(var i=minPageIndex;i<=maxPageIndex;i++)
       {
            if (i!=CurrentPage)
                 strPageHtml.append("<a class='page-num' onclick='javascript:cbg(" + i + ");'  href='javascript:void(0);'><span>" + i + "</span></a>");
            else
                 strPageHtml.append("<span class='page-num'><span>" + i + "</span></span>");
       }
       if (CurrentPage==PageCount)
             strPageHtml.append(" <span class='page-next'><span>下一页</span></span>");
       else
             strPageHtml.append("<a class='page-next' title='下一页' onclick='javascript:page(-1);'   href='javascript:void(0);'><span>下一页</span></a>");
      var $div_page=$("#div_ListR_<%=EntId %>_Page");
       $div_page.html(strPageHtml.toString());
    }
    </script>


</body>
</html>

